<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="ordine">
            <h2><span jhiTranslate="shoppingonlineApp.ordine.detail.title">Ordine</span> {{ ordine.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="shoppingonlineApp.ordine.stato">Stato</span></dt>
                <dd>
                    <span>{{ ordine.stato }}</span>
                </dd>
                <dt><span jhiTranslate="shoppingonlineApp.ordine.numero">Numero</span></dt>
                <dd>
                    <span>{{ ordine.numero }}</span>
                </dd>
                <dt><span jhiTranslate="shoppingonlineApp.ordine.data">Data</span></dt>
                <dd>
                    <span>{{ ordine.data }}</span>
                </dd>
                <dt><span jhiTranslate="shoppingonlineApp.ordine.pagamento">Pagamento</span></dt>
                <dd>
                    <div *ngIf="ordine.pagamento">
                        <a [routerLink]="['/pagamento', ordine.pagamento?.id, 'view']">{{ ordine.pagamento?.id }}</a>
                    </div>
                </dd>
                <dt><span jhiTranslate="shoppingonlineApp.ordine.spedizione">Spedizione</span></dt>
                <dd>
                    <div *ngIf="ordine.spedizione">
                        <a [routerLink]="['/spedizione', ordine.spedizione?.id, 'view']">{{ ordine.spedizione?.id }}</a>
                    </div>
                </dd>
                <dt><span jhiTranslate="shoppingonlineApp.ordine.fattura">Fattura</span></dt>
                <dd>
                    <div *ngIf="ordine.fattura">
                        <a [routerLink]="['/fattura', ordine.fattura?.id, 'view']">{{ ordine.fattura?.id }}</a>
                    </div>
                </dd>
                <dt><span jhiTranslate="shoppingonlineApp.ordine.computer">Computer</span></dt>
                <dd>
                    <div *ngIf="ordine.computer">
                        <a [routerLink]="['/computer', ordine.computer?.id, 'view']">{{ ordine.computer?.id }}</a>
                    </div>
                </dd>
                <dt><span jhiTranslate="shoppingonlineApp.ordine.commessa">Commessa</span></dt>
                <dd>
                    <div *ngIf="ordine.commessa">
                        <a [routerLink]="['/commessa', ordine.commessa?.id, 'view']">{{ ordine.commessa?.id }}</a>
                    </div>
                </dd>
                <dt><span jhiTranslate="shoppingonlineApp.ordine.cliente">Cliente</span></dt>
                <dd>
                    <div *ngIf="ordine.cliente">
                        <a [routerLink]="['/cliente', ordine.cliente?.id, 'view']">{{ ordine.cliente?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/ordine', ordine.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
            </button>
        </div>
    </div>
</div>
